package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlydangermaterialregister.ElderlyDangerMaterialRegisterPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlydangermaterialregister.ElderlyDangerMaterialRegisterRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlydangermaterialregister.ElderlyDangerMaterialRegisterSaveReqVO;

public interface ElderlyDangerMaterialRegisterService {

    Long create(ElderlyDangerMaterialRegisterSaveReqVO createReqVO);

    void update(ElderlyDangerMaterialRegisterSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyDangerMaterialRegisterRespVO get(Long id);

    PageResult<ElderlyDangerMaterialRegisterRespVO> getPage(ElderlyDangerMaterialRegisterPageReqVO pageReqVO);
}

